Loading...
Searching...
No Matches
juce::Thread::RealtimeOptions Struct Reference

## Detailed Description

A selection of options available when creating realtime threads.

See also
  startRealtimeThread

The documentation for this struct was generated from the following file:

- juce_core/threads/juce_Thread.h

## Public Member Functions

RealtimeOptions | withPriority (int newPriority) const
| A value with a range of 0-10, where 10 is the highest priority.
RealtimeOptions | withProcessingTimeMs (double newProcessingTimeMs) const
| Specify the expected amount of processing time required each time the thread wakes up.
RealtimeOptions | withMaximumProcessingTimeMs (double newMaximumProcessingTimeMs) const
| Specify the maximum amount of processing time required each time the thread wakes up.
RealtimeOptions | withApproximateAudioProcessingTime (int samplesPerFrame, double sampleRate) const
| Specify the maximum amount of processing time required each time the thread wakes up.
RealtimeOptions | withPeriodMs (double newPeriodMs) const
| Specify the approximate amount of time between each thread wake up.
RealtimeOptions | withPeriodHz (double newPeriodHz) const
| Specify the approximate frequency at which the thread will be woken up.
int | getPriority () const
| Returns a value with a range of 0-10, where 10 is the highest priority.
std::optional< double > | getProcessingTimeMs () const
| Returns the expected amount of processing time required each time the thread wakes up.
std::optional< double > | getMaximumProcessingTimeMs () const
| Returns the maximum amount of processing time required each time the thread wakes up.
std::optional< double > | getPeriodMs () const
| Returns the approximate amount of time between each thread wake up, or nullopt if there is no inherent periodicity.

## Member Functions

## withPriority()

RealtimeOptions juce::Thread::RealtimeOptions::withPriority | ( | int | newPriority | ) | const

inline nodiscard

A value with a range of 0-10, where 10 is the highest priority.

Currently only used by Posix platforms.

See also
  getPriority

References juce::isPositiveAndNotGreaterThan(), jassert, juce::jlimit(), and juce::withMember().

## withProcessingTimeMs()

RealtimeOptions juce::Thread::RealtimeOptions::withProcessingTimeMs | ( | double | newProcessingTimeMs | ) | const

inline nodiscard

Specify the expected amount of processing time required each time the thread wakes up.

Only used by macOS/iOS.

See also
  getProcessingTimeMs, withMaximumProcessingTimeMs, withPeriodMs, withPeriodHz

References jassert, and juce::withMember().

## withMaximumProcessingTimeMs()

RealtimeOptions juce::Thread::RealtimeOptions::withMaximumProcessingTimeMs | ( | double | newMaximumProcessingTimeMs | ) | const

inline nodiscard

Specify the maximum amount of processing time required each time the thread wakes up.

Only used by macOS/iOS.

See also
  getMaximumProcessingTimeMs, withProcessingTimeMs, withPeriodMs, withPeriodHz

References jassert, and juce::withMember().

Referenced by withApproximateAudioProcessingTime().

## withApproximateAudioProcessingTime()

RealtimeOptions juce::Thread::RealtimeOptions::withApproximateAudioProcessingTime | ( | int | samplesPerFrame,
|  | double | sampleRate ) const

inline nodiscard

Specify the maximum amount of processing time required each time the thread wakes up.

This is identical to 'withMaximumProcessingTimeMs' except it calculates the processing time from a sample rate and block size. This is useful if you want to run this thread in parallel to an audio device thread.

Only used by macOS/iOS.

See also
  withMaximumProcessingTimeMs, AudioWorkgroup, ScopedWorkgroupToken

References jassert, and withMaximumProcessingTimeMs().

## withPeriodMs()

RealtimeOptions juce::Thread::RealtimeOptions::withPeriodMs | ( | double | newPeriodMs | ) | const

inline nodiscard

Specify the approximate amount of time between each thread wake up.

Alternatively call withPeriodHz().

Only used by macOS/iOS.

See also
  getPeriodMs, withPeriodHz, withProcessingTimeMs, withMaximumProcessingTimeMs,

References jassert, and juce::withMember().

Referenced by withPeriodHz().

## withPeriodHz()

RealtimeOptions juce::Thread::RealtimeOptions::withPeriodHz | ( | double | newPeriodHz | ) | const

inline nodiscard

Specify the approximate frequency at which the thread will be woken up.

Alternatively call withPeriodMs().

Only used by macOS/iOS.

See also
  getPeriodHz, withPeriodMs, withProcessingTimeMs, withMaximumProcessingTimeMs,

References jassert, and withPeriodMs().

## getPriority()

int juce::Thread::RealtimeOptions::getPriority | ( |  | ) | const

inline nodiscard

Returns a value with a range of 0-10, where 10 is the highest priority.

See also
  withPriority

## getProcessingTimeMs()

std::optional< double > juce::Thread::RealtimeOptions::getProcessingTimeMs | ( |  | ) | const

inline nodiscard

Returns the expected amount of processing time required each time the thread wakes up.

See also
  withProcessingTimeMs, getMaximumProcessingTimeMs, getPeriodMs

## getMaximumProcessingTimeMs()

std::optional< double > juce::Thread::RealtimeOptions::getMaximumProcessingTimeMs | ( |  | ) | const

inline nodiscard

Returns the maximum amount of processing time required each time the thread wakes up.

See also
  withMaximumProcessingTimeMs, getProcessingTimeMs, getPeriodMs

## getPeriodMs()

std::optional< double > juce::Thread::RealtimeOptions::getPeriodMs | ( |  | ) | const

inline nodiscard

Returns the approximate amount of time between each thread wake up, or nullopt if there is no inherent periodicity.

See also
  withPeriodMs, withPeriodHz, getProcessingTimeMs, getMaximumProcessingTimeMs

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited